Update a program
curl --request PUT \
--url https://api.wodup.dev/api/public/programs/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated name"
}
'import requests
url = "https://api.wodup.dev/api/public/programs/{id}"
payload = { "name": "Updated name" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated name'})
};
fetch('https://api.wodup.dev/api/public/programs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access": "all_members",
"id": "p_123abc",
"name": "Updated Name",
"period": "continuous",
"status": "active"
}{
"errors": {}
}{
"errors": {}
}{
"errors": {}
}Programs
Update a program
PUT
/
api
/
public
/
programs
/
{id}
Update a program
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
Only used by platform integrations
ID of gym to execute on behalf of
Example:
"gym_123abc"
Path Parameters
ID of program to update
Example:
"p_123abc"
Body
application/json
PUT body for updating a program
Response
Update program response
A program at your organization
Program ID
Program name
Program status. Archived programs are returned as inactive.
Available options:
active, inactive Program access. athlete is a personal-training program belonging to a single athlete.
Available options:
all_members, private, athlete Program period
Available options:
continuous, fixed, template